part of 'plot_detail_bloc.dart';

abstract class PlotDetailEvent {
  const PlotDetailEvent();

  @override
  List<Object> get props => [];
}

class CheckInfo extends PlotDetailEvent {
  final int cropId;
  final String cropCode;
  CheckInfo({required this.cropId, required this.cropCode});
}

class DataFetched extends PlotDetailEvent {
  final int cropId;
  final String cropCode;
  DataFetched({required this.cropId, required this.cropCode});
}

class OnRefresh extends PlotDetailEvent {
  final int cropId;
  final String cropCode;
  OnRefresh({required this.cropId, required this.cropCode});
}

class OnUpdate<T> extends PlotDetailEvent {
  final List<T> currentItems;
  final int currentPage;
  final bool hasReachedMax;
  OnUpdate({required this.currentItems, required this.currentPage, required this.hasReachedMax});
}
